<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Box Shapes</title>
    <style>
        p {
            border: 1px dashed #555;
            padding: 0.5em;
            margin-top: 2em;
        }
        em {
            border: 1px dotted red;
            padding: 1em; /* doesn't affect the line-height*/
            height: 2em; /* ignored */
        }
        kbd {
            border: 1px dotted blue;
            background-color: #ddd;
            font-weight: bold;
            height: 2em; /* ignored */
        }
        strong {
            border: 1px dotted green;
            display: inline-block;
            height: 2em; /* applied */
        }
    </style>
</head>
<body>
    <h1>Box Shapes</h1>
    <p>
        He pressed <kbd>DEL</kbd> and <em>all</em> text vanished forever.
        On the other hand, we denounce with righteous indignation and 
        dislike men who are so beguiled and demoralized by the charms...
    </p>
    <p>
        She rushed to rescue and pressed <kbd>CTRL-Z</kbd> and
        it was <em>all</em> there again.
        But I must explain to you how all this mistaken idea of 
        <strong>denouncing pleasure</strong> and praising pain was born 
        and I will give you a complete account of the system and expound the 
        actual teachings of the great explorer of the truth, the 
        master-builder of human happiness.
    </p>
</body>
</html>